Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_GOSTR3410_DERIVE_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_EC_KDF_TYPE | kdf
CK_BYTE_PTR | pPublicData
CK_BYTE_PTR | pUKM
CK_ULONG | ulPublicDataLen
CK_ULONG | ulUKMLen

## Detailed Description

Definition at line 1972 of file pkcs11t.h.

## Member Data Documentation

CK_EC_KDF_TYPE CK_GOSTR3410_DERIVE_PARAMS::kdf

Definition at line 1973 of file pkcs11t.h.

CK_BYTE_PTR CK_GOSTR3410_DERIVE_PARAMS::pPublicData

Definition at line 1974 of file pkcs11t.h.

CK_BYTE_PTR CK_GOSTR3410_DERIVE_PARAMS::pUKM

Definition at line 1976 of file pkcs11t.h.

CK_ULONG CK_GOSTR3410_DERIVE_PARAMS::ulPublicDataLen

Definition at line 1975 of file pkcs11t.h.

CK_ULONG CK_GOSTR3410_DERIVE_PARAMS::ulUKMLen

Definition at line 1977 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h